
import { get,post } from "../../common/request.js"
import pathmap from "../../common/pathmap"
import stylemap from "../../common/stylemap"
import share from "../../common/share"

const app = getApp();
Page(Object.assign({

  /**
   * 页面的初始数据
   */
  data: { 
     
    limit:10,
    lock:false,
    list:[],
    hasloadall:false,
    offset:0
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.getHots();
    this.setData(stylemap);
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {
  
  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
  
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {
  
  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {
  
  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {
  
  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
  
  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {
  
  },
  getHots:function(){
    var _self=this;
    if(!this.data.lock){
      var para = {
        offset : this.data.offset,
        limit : this.data.limit
      }
      this.setData({
        lock:true
      })
      get(pathmap.goodcar, para, function (json) {
        var list = json.data&&json.data.list;
        var obj = {          
          list:_self.data.list.concat(list,list,list,list),
          offset:_self.data.offset+_self.data.limit,
          lock:false
        }
        if(json.data.total<=_self.data.limit){
          obj.hasloadall=true;
        }else{
          obj.hasloadall=false;
        }
        _self.setData(obj);
      })
    }
  }
},share))